# AmoebaOutOfPlaneBendForce Class Reference

This class implements the Amoeba out-of-plane bend interaction. More...

Inheritance diagram for AmoebaOutOfPlaneBendForce:

List of all members.

## Public Member Functions

def | getNumOutOfPlaneBends
| getNumOutOfPlaneBends(self) -> int
def | setAmoebaGlobalOutOfPlaneBendCubic
| setAmoebaGlobalOutOfPlaneBendCubic(self, double cubicK)
def | getAmoebaGlobalOutOfPlaneBendCubic
| getAmoebaGlobalOutOfPlaneBendCubic(self) -> double
def | setAmoebaGlobalOutOfPlaneBendQuartic
| setAmoebaGlobalOutOfPlaneBendQuartic(self, double quarticK)
def | getAmoebaGlobalOutOfPlaneBendQuartic
| getAmoebaGlobalOutOfPlaneBendQuartic(self) -> double
def | setAmoebaGlobalOutOfPlaneBendPentic
| setAmoebaGlobalOutOfPlaneBendPentic(self, double penticK)
def | getAmoebaGlobalOutOfPlaneBendPentic
| getAmoebaGlobalOutOfPlaneBendPentic(self) -> double
def | setAmoebaGlobalOutOfPlaneBendSextic
| setAmoebaGlobalOutOfPlaneBendSextic(self, double sexticK)
def | getAmoebaGlobalOutOfPlaneBendSextic
| getAmoebaGlobalOutOfPlaneBendSextic(self) -> double
def | addOutOfPlaneBend
| addOutOfPlaneBend(self, int particle1, int particle2, int particle3, int particle4, double k) -> int
def | getOutOfPlaneBendParameters
| getOutOfPlaneBendParameters(self, int index)
def | setOutOfPlaneBendParameters
| setOutOfPlaneBendParameters(self, int index, int particle1, int particle2, int particle3, int particle4, double k)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> AmoebaOutOfPlaneBendForce __init__(self, AmoebaOutOfPlaneBendForce other) -> AmoebaOutOfPlaneBendForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements the Amoeba out-of-plane bend interaction.

To use it, create an OutOfPlaneBendForce object then call addOutOfPlaneBend() once for each outOfPlaneBend. After an out-of-plane bend has been added, you can modify its force field parameters by calling setOutOfPlaneBendParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> AmoebaOutOfPlaneBendForce __init__(self, AmoebaOutOfPlaneBendForce other) -> AmoebaOutOfPlaneBendForce

Create an AmoebaOutOfPlaneBendForce.

def addOutOfPlaneBend | ( |  | self,
|  |  | args |
| ) |  |  |

addOutOfPlaneBend(self, int particle1, int particle2, int particle3, int particle4, double k) -> int

Add an out-of-plane bend term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the outOfPlaneBend
  | particle2 | the index of the second particle connected by the outOfPlaneBend
  | particle3 | the index of the third particle connected by the outOfPlaneBend
  | particle4 | the index of the fourth particle connected by the outOfPlaneBend
  | k | the force constant for the out-of-plane bend

def getAmoebaGlobalOutOfPlaneBendCubic | ( |  | self | ) |

getAmoebaGlobalOutOfPlaneBendCubic(self) -> double

Get the global cubic term

def getAmoebaGlobalOutOfPlaneBendPentic | ( |  | self | ) |

getAmoebaGlobalOutOfPlaneBendPentic(self) -> double

Get the global pentic term

def getAmoebaGlobalOutOfPlaneBendQuartic | ( |  | self | ) |

getAmoebaGlobalOutOfPlaneBendQuartic(self) -> double

Get the global quartic term

def getAmoebaGlobalOutOfPlaneBendSextic | ( |  | self | ) |

getAmoebaGlobalOutOfPlaneBendSextic(self) -> double

Get the global sextic term

def getNumOutOfPlaneBends | ( |  | self | ) |

getNumOutOfPlaneBends(self) -> int

Get the number of out-of-plane bend terms in the potential function

def getOutOfPlaneBendParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getOutOfPlaneBendParameters(self, int index)

Get the force field parameters for an out-of-plane bend term.

Parameters:

  | index | the index of the outOfPlaneBend for which to get parameters
  | particle1 | the index of the first particle connected by the outOfPlaneBend
  | particle2 | the index of the second particle connected by the outOfPlaneBend
  | particle3 | the index of the third particle connected by the outOfPlaneBend
  | particle4 | the index of the fourth particle connected by the outOfPlaneBend
  | k | the force constant for the out-of-plane bend

def setAmoebaGlobalOutOfPlaneBendCubic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalOutOfPlaneBendCubic(self, double cubicK)

Set the global cubic term

Parameters:

  | cubicK | the cubic force constant for the angle

def setAmoebaGlobalOutOfPlaneBendPentic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalOutOfPlaneBendPentic(self, double penticK)

Set the global pentic term

Parameters:

  | penticK | the pentic force constant for the angle

def setAmoebaGlobalOutOfPlaneBendQuartic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalOutOfPlaneBendQuartic(self, double quarticK)

Set the global cubic term

Parameters:

  | quarticK | the quartic force constant for the angle

def setAmoebaGlobalOutOfPlaneBendSextic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalOutOfPlaneBendSextic(self, double sexticK)

Set the global sextic term

Parameters:

  | sexticK | the sextic force constant for the angle

def setOutOfPlaneBendParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setOutOfPlaneBendParameters(self, int index, int particle1, int particle2, int particle3, int particle4, double k)

Set the force field parameters for an out-of-plane bend term.

Parameters:

  | index | the index of the outOfPlaneBend for which to set parameters
  | particle1 | the index of the first particle connected by the outOfPlaneBend
  | particle2 | the index of the second particle connected by the outOfPlaneBend
  | particle3 | the index of the third particle connected by the outOfPlaneBend
  | particle4 | the index of the fourth particle connected by the outOfPlaneBend
  | k | the force constant for the out-of-plane bend

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-bend term parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setOutOfPlaneBendParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-bend term parameters. The set of particles involved in a term cannot be changed, nor can new terms be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py